# Wobuzz

Wobuzz is a simple audio player made by The Wobbler.
Currently, it just has really basic features but many more things are planned.

### Features

| Feature       | Description                                                                                                                                                               | State                                                  |
|---------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------|
| Playlists     | You can create and load `.m3u` playlists, edit them and they will get stored on the disk automatically.                                                                   | <input type="checkbox" disabled checked /> Implemented |
| Audio effects | Audio effects like normalizing and an equalizer. This can be implemented pretty easily because Wobuzz uses [Pydub](https://pydub.com/), which has these effects built in. | <input type="checkbox" disabled /> Not Implemented     |

## Installation

### Release installation

Look at the [Releases](https://teapot.informationsanarchistik.de/Wobbl/Wobuzz/releases),
there you can find the commands that you need for the installation.

### Unstable git installation

You firstly have to install the newest dependencies:

``` bash
sudo apt install xcb libxcb-cursor0 ffmpeg
```

Now, you can install the newest unstable version using just one more command:

```bash
pip install wobuzz@git+https://teapot.informationsanarchistik.de/Wobbl/Wobuzz.git#egg=wobuzz
```

### Development installation

If you want to make changes to the code,
you can clone the repo and install it this time using the `-e` parameter, 
which will tell pip to not copy the project to `~/.local/lib/python3.x/site-packages`,
but to create symlinks. \
Using this method, you can put the project wherever you want
(e.g. your Pycharm projects folder)
and the Python-module will always be in sync with the changes you do.

``` bash
git clone https://teapot.informationsanarchistik.de/Wobbl/Wobuzz.git
cd Wobuzz
pip install -e .
```

## Usage:

``` bash
usage: wobuzz [-h] [-p PLAYLIST_PATH] [TRACKS ...]

A music player made by The Wobbler.

positional arguments:
  TRACKS                Plays audio files the from given paths.

options:
  -h, --help            show this help message and exit
  -p PLAYLIST_PATH, --playlist PLAYLIST_PATH
                        Imports a playlist from the given path.

```