#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QTreeWidgetItem


class TrackItem(QTreeWidgetItem):
    def __init__(self, track, index, parent=None):
        super().__init__(parent)

        self.track = track
        self.index_user_sort = index

        self.index = index

        self.playlist = parent.playlist

        track.items.append(self)

        track.set_occurrences()

        self.setFlags(
            Qt.ItemFlag.ItemIsEnabled |
            Qt.ItemFlag.ItemIsSelectable |
            Qt.ItemFlag.ItemIsDragEnabled
        )

        self.setText(0, str(self.index + 1))
        self.setText(1, track.tags.title)
        self.setText(2, track.tags.artist)
        self.setText(3, track.tags.album)
        self.setText(4, str(self.index_user_sort + 1))

